% Construct and manipulate reservoir simulation grid data structure.
%
% Files
%   boundaryFaceIndices - Retrieve face indices belonging to subset of global outer faces.
%   boundaryFaces       - Extract boundary faces from set of grid cells.
%   buildCornerPtNodes  - Construct physical nodal coordinates for CP grid.
%   cartGrid            - Construct Cartesian grid in physical space.
%   computeGeometry     - Compute geometry of grid.
%   grid_structure      - Grid structure used in MATLAB Reservoir Simulation Toolbox.
%   processGRDECL       - Compute grid topology and geometry from pillar grid description.
%   removeCells         - Remove cells from grid and renumber cells, faces and nodes.
%   tensorGrid          - Construct Cartesian grid with variable physical cell sizes (dx,dy,dz).

%{
Copyright 2009 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
