% Supporting utilities for MATLAB Reservoir Simulation Toolbox (MRST).
%
% Files
%   cellFlux2faceFlux - Transform cell-based flux field to face-based.
%   dispif            - Display value if input is true.
%   faceFlux2cellFlux - Transform face-based flux field to cell-based.
%   mcolon            - Compute vector of consecutive indices from separate lower/upper bounds.
%   merge_options     - Override default control options.
%   msgid             - Construct Error/Warning message ID by prepending function name.
%   rldecode          - Decompress run length encoding of array A along dimension dim.
%   rlencode          - Compute run length encoding of array A along dimension dim.
%   ROOTDIR           - Retrieve full path of Toolbox installation directory.
%   ticif             - Evaluate function TIC if input is true.
%   tocif             - Evaluate function TOC if input is true.

%{
Copyright 2009 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
