function faceFlux = cellFlux2faceFlux(G, cellFlux)
%Transform cell-based flux field to face-based.
%
% SYNOPSIS:
%   faceFlux = cellFlux2faceFlux(G, cellFlux);
%
% PARAMETERS:
%   G        - grid structure
%
%   cellFlux - Vector of fluxes corresponding to cell-face ordering
%
% RETURNS:
%   faceFlux - Vector of fluxes cooresponding to face - ordering
%              corresponding to input.

%{
#COPYRIGHT#
%}

% $Id: cellFlux2faceFlux.m 1956 2009-03-31 11:06:38Z bska $

cellNo   = rldecode(1:G.cells.num, double(G.cells.numFaces), 2)';
sgn      = 2*(G.faces.neighbors(G.cellFaces(:,1), 1) == cellNo)-1;
faceFlux = zeros(G.faces.num, 1);
faceFlux( G.cellFaces(:,1) ) = sgn.*cellFlux;
