function cellFlux = faceFlux2cellFlux(G, faceFlux)
%Transform face-based flux field to cell-based.
%
% SYNOPSIS:
%   cellFlux = faceFlux2cellFlux(G, faceFlux);
%
% PARAMETERS:
%   G        - Grid structure.
%
%   faceFlux - Vector of fluxes corresponding to face ordering.
%
% RETURNS:
%   cellFlux - Vector of fluxes cooresponding to cell face - ordering
%              corresponding to input.
%
% SEE ALSO:
%   cellFlux2faceFlux.

%{
#COPYRIGHT#
%}

% $Id: faceFlux2cellFlux.m 1956 2009-03-31 11:06:38Z bska $

cellNo   = rldecode(1:G.cells.num, double(G.cells.numFaces), 2)';
sgn      = 2*(G.faces.neighbors(G.cellFaces(:,1), 1) == cellNo)-1;
cellFlux = sgn .* faceFlux(G.cellFaces(:,1));
